ReportsNotifications

Notifications

Reports · 1 операція

GET

Get attention counters

/api/notification

Counters that need attention: debtors and total debt, students without lessons or subscription, expired subscriptions, duplicate students, birthdays today.

get_notifications

Відповідь · 200

application/json

statusCodenumberобовʼязковийприклад 200
messagestringобовʼязковий—
dataobject12 полів
debtorCountnumberобовʼязковий—
totalDebtnumberобовʼязковий—
studentsWithoutLessonsnumberобовʼязковий—
studentsWithOneLessonnumberобовʼязковий—
studentsWithFreeLessonnumberобовʼязковий—
studentsWithFreeTrialLessonnumberобовʼязковий—
studentsWithoutSubscriptionnumberобовʼязковий—
studentsWithExpiredSubscriptionnumberобовʼязковий—
duplicateStudentsnumberобовʼязковий—
allDuplicateStudentsnumberобовʼязковий—
studentsWithBirthdayTodaynumberобовʼязковий—
teachersWithBirthdayTodaynumberобовʼязковий—
Помилки401403429500
curl "https://your-school.rist.pro/api/notification" \
  -H "Authorization: Bearer $RIST_API_KEY"
Приклад відповіді · 200
{
  "statusCode": 200,
  "message": "Operation completed successfully",
  "data": {
    "debtorCount": 0,
    "totalDebt": 0,
    "studentsWithoutLessons": 0,
    "studentsWithOneLesson": 0,
    "studentsWithFreeLesson": 0,
    "studentsWithFreeTrialLesson": 0,
    "studentsWithoutSubscription": 0,
    "studentsWithExpiredSubscription": 0,
    "duplicateStudents": 0,
    "allDuplicateStudents": 0,
    "studentsWithBirthdayToday": 0,
    "teachersWithBirthdayToday": 0
  }
}